import axios from 'axios'

export const adminRequest = axios.create({
	baseURL: import.meta.env.VITE_ADMIN_API_BASE_URL,
})
// 添加请求拦截器
adminRequest.interceptors.request.use(
	function (config) {
		// 在发送请求之前做些什么
		const token = userStore().adminToken
		if (token !== null || token !== undefined) {
			//添加header
			config.headers.token = token
		}
		// 在发送请求之前做些什么
		return config
	},
	function (error) {
		toast.warning(error.message ?? '未知请求错误')
		// 对请求错误做些什么
		return Promise.reject(error)
	},
)
// 添加响应拦截器
adminRequest.interceptors.response.use(
	function (response) {
		if (response.data.code){
			const  code = response.data.code
			switch (code) {
				case 500:
					toast.error(response.data.msg)
					return Promise.reject(response.data.msg)
				case 401:
					toast.error(response.data.msg)
					window.open(`/login`, '_self')
					return Promise.reject(response.data.msg)
				default:
					return response.data
			}
		}
		return response.data
	},
	function (error) {
		let { msg, message } = error.response?.data ?? {}
		if (!msg && message) {
			msg = message
		}
		toast.warning(msg)
		// 超出 2xx 范围的状态码都会触发该函数。
		// 对响应错误做点什么
		return Promise.reject(error)
	},
)
